# Type Alias ModelPattern

type ModelPattern = {
configuration_workflow: (req: Req) => AbstractWorkflow;
hyperparameter_fields: (
{ configuration, table, }: {
configuration: GenObj;
table: AbstractTable;
},
) => FieldLike[];
predict: (
{ id, model, hyperparameters, fit_object, rows, }: {
fit_object: any;
hyperparameters: GenObj;
id: number;
model: { configuration: GenObj };
rows: Row[];
},
) => Promise<GenObj[]>;
prediction_outputs: (
{ configuration, }: { configuration: GenObj },
) => FieldLike[];
train: (
{ table, configuration, hyperparameters, state, }: {
configuration: GenObj;
hyperparameters: GenObj;
state: GenObj;
table: AbstractTable;
},
) => Promise<any>;
}

- Defined in base_types.ts:463

##### Index

### Properties

configuration_workflow
hyperparameter_fields
predict
prediction_outputs
train

## Properties

### configuration_workflow

configuration_workflow: (req: Req) => AbstractWorkflow

- Defined in base_types.ts:464

### hyperparameter_fields

hyperparameter_fields: (
{ configuration, table, }: {
configuration: GenObj;
table: AbstractTable;
},
) => FieldLike[]

- Defined in base_types.ts:470

### predict

predict: (
{ id, model, hyperparameters, fit_object, rows, }: {
fit_object: any;
hyperparameters: GenObj;
id: number;
model: { configuration: GenObj };
rows: Row[];
},
) => Promise<GenObj[]>

- Defined in base_types.ts:488

### prediction_outputs

prediction_outputs: (
{ configuration, }: { configuration: GenObj },
) => FieldLike[]

- Defined in base_types.ts:465

### train

train: (
{ table, configuration, hyperparameters, state, }: {
configuration: GenObj;
hyperparameters: GenObj;
state: GenObj;
table: AbstractTable;
},
) => Promise<any>

- Defined in base_types.ts:477